Skip to main content
Create Order
curl --request POST \
  --url https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/order \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "token_id": "<string>",
  "side": "<string>",
  "amount": "<string>",
  "slippage": 123,
  "prediction_slippage": 123
}
'
{
  "success": true,
  "response": {
    "order_id": "...",
    "amount": "50.000",
    "min_amount": "49.000",
    "status": "FILLED"
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Body

application/json
token_id
string
required
side
string
required

BUY or SELL.

amount
string
required

Order amount as string or number.

slippage
integer

Optional swap slippage in basis points. If provided, it must be a non-negative integer; otherwise it uses auto.

prediction_slippage
integer

Optional prediction market slippage in basis points. If provided, it must be a non-negative integer.

Response

Solana order created